# DCM/DFA Reporting And Trafficking API . cities

## Instance Methods

Retrieves a list of cities, possibly filtered.

### Method Details

`list(profileId, dartIds=None, namePrefix=None, regionDartIds=None, countryDartIds=None)`

    Retrieves a list of cities, possibly filtered.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      dartIds: string, Select only cities with these DART IDs. (repeated)
      namePrefix: string, Select only cities with names starting with this prefix.
      regionDartIds: string, Select only cities from these regions. (repeated)
      countryDartIds: string, Select only cities from these countries. (repeated)

    Returns:
      An object of the form:

        { # City List Response
        "kind": "dfareporting#citiesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#citiesListResponse".
        "cities": [ # City collection.
          { # Contains information about a city that can be targeted by ads.
            "kind": "dfareporting#city", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#city".
            "countryDartId": "A String", # DART ID of the country to which this city belongs.
            "name": "A String", # Name of this city.
            "countryCode": "A String", # Country code of the country to which this city belongs.
            "metroCode": "A String", # Metro region code of the metro region (DMA) to which this city belongs.
            "regionCode": "A String", # Region code of the region to which this city belongs.
            "metroDmaId": "A String", # ID of the metro region (DMA) to which this city belongs.
            "dartId": "A String", # DART ID of this city. This is the ID used for targeting and generating reports.
            "regionDartId": "A String", # DART ID of the region to which this city belongs.
          },
        ],
      }